*{
    -web-kit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing:border-box;
   padding:0px;
   margin:0px;
   font-family: 'Heebo', sans-serif;
}
   html {
     scroll-behavior: smooth;
    }
   body{
       float: left;
       width: 100%;
       margin:0px;
   }
   .custom_container{
       max-width: 1170px;
       margin: 0px auto;
    }



/* Header style start */
header{
    float: left;
    width: 100%;
    padding: 10px 10px;
    position: relative;
    background-color: #2b2b2b;
    }
    .header_bar{
        display: flex;
    justify-content: space-between;
    width: 100%;
    align-items: center;
    }
    .header_bar .logo a{
        font-size: 36px;
        color: #09afee;
        text-decoration: none;
        font-weight: bold;
    }

    .header_bar .nav_bar ul{
        display: flex;
        justify-content: space-between;
        margin:0px;
    }
    .header_bar .nav_bar ul li{
        list-style: none;
        padding:0px 15px;
    }
    .header_bar .nav_bar ul li a{
        font-size: 17px;
        color: #fff;
        font-weight: normal;
        padding: 0px;
        font-weight: normal;
        cursor: pointer;
        transition: all 0.4s ease-in-out;
        text-decoration: none;
    }
    .header_bar .nav_bar ul li a:hover{
        color: #f97242;
        transition: all 0.4s ease-in-out;
    }
    .call_us{
        display: flex;
        gap: 0px 10px;
    }
    .header_bar .call_us span i{
        color: #fff;
        font-size: 16px;
    }
    .header_bar .call_us .searchbar_btn{
        position: relative;
        transition: 0.4s ease-in-out; 
        z-index: 999;
    }
    .header_bar .call_us span > a{
        background-color: #f97242;
        padding: 7px 10px;
        position: relative;
       }
       .header_bar .call_us span .account_icon{
         z-index: 999;
       }
    .header_bar .call_us span a .searchbar{
        position: absolute;
     right: 0px;  
     transform: translate(-2%);
     visibility: hidden;
    z-index: -1;
    padding: 6px 16px;
    top: 0px;
    outline: none;
    border-bottom: 2px solid #f97242;
    border-left:none;
    border-top:none;
    border-right:none;
    background-color: #4a4a4a;
    color: #fff;
}
.header_bar .call_us span a .searchbar:focus{
    border: none;
   border-bottom: 2px solid #f97242;
    outline: none;
}

.header_bar .call_us span a:hover .searchbar{
    transform: translate(-15%);
    visibility: visible;
    transition: 0.4s ease-in-out; 
   
}
.account_btn_hover{
    position: relative;
}
.account_btn{
    position: absolute;
    width: 145px;
    color: #fff;
    right: 0px;
    display: flex;
    flex-direction: column;
    gap: 9px 0px;
    z-index: 1;
    padding: 34px 10px 17px 10px;
    background-color: #2b2b2b;
    visibility: hidden;
    opacity: 0;
}
.account_btn a{
    color: #fff;
    text-decoration: none;
}
.account_btn a:hover{
    color: #f97242;
}
.account_btn_hover:hover .account_btn{
visibility: visible;
opacity: 1;
}

    .header_bar .nav_btn{
        display: none;
        background: none;
        border: 2px solid #fff;
        padding: 8px 11px;
        transition: all 0.4s ease-in-out;
        cursor: pointer;
        line-height: 1px;
    }
    .header_bar .nav_btn:hover{
        border: 2px solid #f97242;
        transition: all 0.4s ease-in-out;
    }
    .header_bar .nav_btn:hover i{
        color: #ff6f3b;
       transition: all 0.4s ease-in-out;
    }
    .header_bar .nav_btn i{
        font-size: 20px;
        color: #fff;
    transition: all 0.4s ease-in-out;
    }
    .responsive_nav_bar{
    float: left;
    position: absolute;
    width: 100%;
    height: 100vh;
    background: #2b2b2b;
    left: 0px;
    top: 0px;
    padding: 30px 20px;
   transition: 0.5s ease-in-out;
    z-index: 9999;
    transform: translate(-100%);
    }
    .responsive_nav_bar.responsive_bar{
       transform: translate(0%);

     }
     .responsive_nav {
        float: left;
        width: 100%;
    }
   
    .cancle_nav{
        float:left;
        width: 100%;
        margin-bottom: 10px;
        text-align: right;
    }
    .cancle_nav a{
      text-decoration: none;
      color: #fff !important;
      font-size: 25px;
      cursor: pointer;
    }
    .responsive_nav ul{
        display: flex;
        flex-direction: column;
       
        width: 100%;
    }
    .responsive_nav ul li{
        list-style: none;
        width: 100%;
        display: block;
        padding: 10px 0px;
    }
    .responsive_nav ul li a{
        font-size: 17px;
        color: #fff;
        font-weight: normal;
        padding: 0px;
        font-weight: normal;
        cursor: pointer;
        transition: all 0.4s ease-in-out;
        text-decoration: none;
        
       
    }
    .responsive_nav ul li a:hover{
        color: #f97242;
        transition: all 0.4s ease-in-out;
    }
    .responsive_nav_bar .responsive_call_us{
       display: flex;
       justify-content: center;
       align-items: center;
       width: 100%;
       gap: 0px 10px;
    }
    .responsive_nav_bar .responsive_call_us .shoping_cart_icon{
        position: relative;
        z-index: 999;
      }
    .responsive_nav_bar .responsive_call_us span i{
        color: #fff;
        font-size: 16px;
    }
    .responsive_nav_bar .responsive_call_us .searchbar_btn{
        position: relative;
        transition: 0.4s ease-in-out; 
        z-index: 999;
    }
    .responsive_nav_bar .responsive_call_us span > a{
        background-color: #f97242;
        padding: 7px 10px;
        position: relative;
       }
       .responsive_nav_bar .responsive_call_us span .account_icon{
         z-index: 999;
       }
       .responsive_nav_bar .responsive_call_us span a .searchbar{
        position: absolute;
     right: 0px;  
     transform: translate(-2%);
     visibility: hidden;
    z-index: -1;
    padding: 6px 16px;
    top: 0px;
    outline: none;
    border-bottom: 2px solid #f97242;
    border-left:none;
    border-top:none;
    border-right:none;
    background-color: #4a4a4a;
    color: #fff;
}
.responsive_nav_bar .responsive_call_us span a .searchbar:focus{
    border: none;
   border-bottom: 2px solid #f97242;
    outline: none;
}

.responsive_nav_bar .responsive_call_us span a:hover .searchbar{
    transform: translate(-15%);
    visibility: visible;
    transition: 0.4s ease-in-out; 
   
}
.responsive_nav_bar .responsive_call_us .account_btn_hover{
    position: relative;
}
.responsive_nav_bar .responsive_call_us .account_btn{
    position: absolute;
    width: 145px;
    color: #fff;
    right: -56px;
    display: flex;
    flex-direction: column;
    gap: 9px 0px;
    z-index: 1;
    padding: 34px 10px 17px 10px;
    background-color: #4a4a4a;
    visibility: hidden;
    opacity: 0;
}
.responsive_nav_bar .responsive_call_us .account_btn a{
    color: #fff;
    text-decoration: none;
}
.responsive_nav_bar .responsive_call_us .account_btn a:hover{
    color: #f97242;
}
.responsive_nav_bar .responsive_call_us .account_btn_hover:hover .account_btn{
visibility: visible;
opacity: 1;
}   

    /* Header style End  */

/* Banner style start  */
.banner{
    float: left;
    width: 100%;
margin-bottom: 40px;
    }
.banner .slider_2_text {
    right: 45% !important;
    left: 11% !important;
    top: 0% !important;
    text-align: left;
}
.carousel-caption {
height: 100%;
display: flex;
flex-direction: column;
justify-content: center;
}
.banner .slider_2_text h2{
font-size: 32px;
margin: 0px;
padding-bottom: 12px;
}
.banner .slider_2_text span{
    font-size: 18px;
    margin: 0px;
    padding-bottom: 24px;
    color: #fff;
    width: 100%;
    display: block;
    }

.banner .slider_2_text a{
    font-size: 20px;
    border: 1px solid #fff;
    border-radius: 2px;
    padding: 0px 0px;
    display: flex;
    transition: all 0.4s ease-in-out;
    text-decoration: none;
    background-color: #ffffff;
    color: #45423c;
    width: 140px;
    height: 45px;
    justify-content: center;
    align-items: center;
}
/* Banner style End  */


/*features_section start  */
.features_section{
    float: left;
    width: 100%;
    margin-bottom: 40px;
    padding:0px 10px;
}

.features_section .features_grid{
    display: grid; 
    grid-template-columns: 1fr 1fr 1fr; 
    grid-template-rows: auto; 
    gap: 25px 25px; 
    grid-template-areas: 
      ". . ."; 
}
.features_card figure{
    margin: 0px;
   position: relative;
}
.features_card figure img{
    width: 100%;
}
.features_card figure figcaption{
background-color: rgba(255, 99, 71, 0.7);
width: 100%;
height: 100%;
float: left;
position: absolute;
top: 0px;
justify-content: center;
align-items: center;
flex-direction: column;
gap: 15px 0px;
visibility: hidden;
display: flex;
-webkit-transition: all .45s ease-in-out;
-moz-transition: all .45s ease-in-out;
-o-transition: all .45s ease-in-out;
-ms-transition: all .45s ease-in-out;
opacity: 0;
}
.features_card figure:hover figcaption{
    -webkit-transition: all .45s ease-in-out;
    -moz-transition: all .45s ease-in-out;
    -o-transition: all .45s ease-in-out;
    -ms-transition: all .45s ease-in-out;
    opacity: 1;
    visibility: visible;
}
.features_card figure figcaption h4{
margin: 0px;
color: #ffffff;
font-size: 24px;
}

/*features_section end  */


.product_section{
    float: left;
    width: 100%;
    margin-bottom: 40px;
    padding:0px 10px;
}
.our_product_header{
    margin-bottom: 40px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 8px 0px;
    text-align: center;
    align-items: center;
}
.our_product_header h3{
    font-size: 30px;
    color: #000;
    font-weight: bold;
    margin: 0px;
}
.our_product_header ul{
    display: flex;
    gap: 0px 6px;
    margin: 0px;
    position: relative;
}
.our_product_header ul::before{
    background: #ffffff;
    background: -moz-linear-gradient(left, #ffffff 0%, #f97242 100%);
    background: -webkit-linear-gradient(left, #ffffff 0%, #f97242 100%);
    background: linear-gradient(to right, #ffffff 0%, #f97242 100%);
    filter: progid: DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#f97242', GradientType=1);
    width: 80px;
    height: 1px;
    top: 50%;
    position: absolute;
    margin-top: -1px;
    content: "";
    left: 100%;
}
.our_product_header ul::after{
    background: #f97242;
    background: -moz-linear-gradient(left, #f97242 0%, #ffffff 100%);
    background: -webkit-linear-gradient(left, #f97242 0%, #ffffff 100%);
    background: linear-gradient(to right, #f97242 0%, #ffffff 100%);
    filter: progid: DXImageTransform.Microsoft.gradient( startColorstr='#f97242', endColorstr='#ffffff', GradientType=1);
    right: 100%;
    margin-right: 5px;
    width: 80px;
    height: 1px;
    top: 50%;
    position: absolute;
    margin-top: -1px;
    content: "";
}
.our_product_header ul li{
    list-style: none;
   font-size: 15px;
}
.our_product_header ul li span{
    color: #f97242;
    border: 1px solid #f97242;
    width: 30px;
    height: 30px;
    background: 0 0;
    border-radius: 100%;
    display: flex;
   justify-content: center;
   align-items: center;
   padding-top: 3px;
   padding-left: 1px;
}
.our_product_header p{
    text-align: center;
    margin-bottom: 0;
    color: #777;
    font-size: 16px;
    line-height: 22px;
}
.product_section .product_grid{
    display: grid; 
    grid-template-columns: 1fr 1fr 1fr 1fr; 
    grid-template-rows: auto; 
    gap: 25px 25px; 
    grid-template-areas: 
      ". . . ."; 
}
.product_card{
    background: #eee;
    border-radius: 2px;
}
.product_card a{
display: flex;
flex-direction: column;
gap: 10px 0px;
text-decoration: none;
}
.product_card a .figure img{
    width: 100%;
}
.product_card a:hover{
    text-decoration: none;
}
.product_detail{
    display: flex;
    flex-direction: column;
    gap: 10px 0px;
    justify-content: center;
    align-items: center;
    text-align: center;
padding: 20px 10px;
}
.product_detail:hover{
    background-color: #f97242;
}
.product_detail:hover h5{
color: #ffffff;
}
.product_detail:hover p{
    color: #ffffff;
    }
    .product_detail:hover span i{
        color: #ffffff;
        }    
.product_detail h5{
    color: #000;
    font-size: 18px;
    margin: 0px;
}
.product_detail span i{
    color: #f97242;
}
.product_detail p{
    color: #777;
    font-size: 16px;
    margin: 0px;
}

/*special_product start  */
.special_product{
float: left;
width: 100%;
background-color: #eee;
padding: 80px 10px;
margin-bottom: 40px;
}
.special_product_section{
    display: grid; 
    grid-template-columns: 1fr 1fr; 
    grid-template-rows: auto; 
    gap: 20px 20px; 
    grid-template-areas: 
      ". ."; 
}
.special_product_detail{
display: flex;
flex-direction: column;
gap: 9px 0px;
width: 100%;
}
.special_product_figure{
width: 100%;
}
.special_product_figure img{
    width: 100%;
    }
.special_product_detail h2{
    color: #000;
    font-size: 28px;
    margin: 0px;
}
.special_product_detail p{
    color: #777;
    font-size: 16px;
    margin: 0px;
    line-height: 22px;
    padding-bottom: 10px;
}
.special_product_detail h3{
    color: #000;
    font-size: 18px;
    margin: 0px;
}
.special_product_detail .stock{
    color: #777;
    font-size: 18px;
    margin: 0px;
}
.special_product_detail .stock a{
    color: #f97242;
}
.special_product_detail small{
    color: #f97242;
    font-size: 18px;
    margin: 0px;
    display: flex;
    padding-bottom: 7px;
}
.special_product_detail .price{
    color: #777;
    font-size: 18px;
    margin: 0px;
}
.special_product_detail .purchase_special{
    background-color: #f97242;
    color: #fff;
    font-size: 16px;
    padding: 10px 15px;
    text-decoration: none;
    width: 160px;
    display: flex;
    justify-content: center;
    align-content: center;
    text-align: center;
    align-items: center;
}
/* special_product end */

/* our category start */
.our_categories{
position: relative;
padding: 20px 15px;
}
.our_categories .figure img{
width: 100% !important;
}
.our_category_hover{
    position: absolute;
    content: "";
    top:0px;
     left: 0px;
    width: 100%;
    height: 100%;
    visibility: hidden;
    opacity: 0;
   background-color: #f97242;
   display: flex;
   flex-direction: column;
   gap: 15px 0px;
   justify-content: center;
   align-items: center;
  text-align: center;
  padding: 0px 20px;
  -webkit-transition: all .45s ease-in-out;
  -moz-transition: all .45s ease-in-out;
  -o-transition: all .45s ease-in-out;
  -ms-transition: all .45s ease-in-out;
}
.our_categories:hover .our_category_hover{
    visibility: visible;
    opacity: 1;
    -webkit-transition: all .45s ease-in-out;
    -moz-transition: all .45s ease-in-out;
    -o-transition: all .45s ease-in-out;
    -ms-transition: all .45s ease-in-out;
}
.our_category_hover h4{
font-size: 18px;
color: #fff;
margin: 0px;
}
.our_category_hover p{
    font-size: 16px;
    color: #fff;
    margin: 0px;
    line-height: 22px;
    }
    .our_category_hover a{
        font-size: 16px;
        color: #000;
        margin: 0px;
        line-height: 16px;
        text-decoration: none;
        background-color: #fff;
        padding: 10px 20px;    
    }
    .our_category_hover a:hover{
        color: #000;
    }
   .single_category_detail{
    display: flex;
    flex-direction: column;
    gap: 10px 0px;
    justify-content: center;
    align-items: center;
    text-align: center;
   } 
   .single_category_detail h5{
    color: #000;
    font-size: 18px;
    margin: 0px;
}
.single_category_detail p {
    color: #777;
    font-size: 16px;
    margin: 0px;
}
/* our category end */

/* discount_section start */

.discount_section{
float: left;
width: 100%;
background-image: url(../image/banner1.jpg);
background-size: cover;
background-repeat: no-repeat;
padding: 80px 10px;
position: relative;
margin-bottom: 40px;
}
.discount_section::before{
    background-color: #f97242;
    position: absolute;
    content: "";
    width: 100%;
    left: 0px;
    top:0px;
    height: 100%;
    opacity: 0.8;
}
.discount_section_data{
    display: flex;
    width: 100%;
    justify-content: center;
   align-items: center;
   text-align: center;
   flex-direction: column;
   gap: 20px 0px;
   position: relative;
z-index: 99;
}
.discount_section_data h5{
    color: #fff;
    font-size: 48px;
    font-weight: 100;
    margin: 0px;
}
.discount_section_data small{
    color: #fff;
    font-size: 16px;
}
.discount_section_data a{
padding: 6px 30px;
    background: #eee;
    font-size: 16px;
    font-family: Roboto,sans-serif;
    font-weight: 400;
    color: #000;
    text-transform: capitalize;
}
.discount_section_data a:hover{
    text-decoration: none;
    color: #000;
}
/* discount_section end */

/*RESPONSIVE*/

/* footer start */

footer {
    margin-top: 40px;
    background: #000;
    color: #fff;
    float: left;
    width: 100%;
    background-image: url(../image/footer-bg.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
  }
  footer::before{
position: absolute;
content: "";
background-color: #000;
opacity: 0.7;
top: 0px;
left: 0px;  
width: 100%;
height: 100%;
}
.footer_data{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: auto;
    grid-template-areas: ". . . .";
    gap: 20px 20px;
    padding: 40px 20px;
}
ul.footer-box2 li a:hover{
    color: #f97242;
} 
  .pad-top80 {
    padding-top: 80px;
  }
  .pad-bottom80 {
    padding-bottom: 80px;
  }
  .footer-section1,
  .footer-section2 {
    width: 100%;
    float: left;
    position: relative;
  }
  .footer-head-line {
    color: #fff;
  }
  .footer-section1 p {
    padding-top: 15px;
  }
  .footer-section1 p,
  .footer-section1 ul.text-box li,
  ul.footer-box2 li a {
    font-size: 14px;
    color: #ccc;
  }
  .footer-section1 p,
  .footer-section1 ul li {
    margin-bottom: 10px;
  }
  
  .footer-section1 ul.text-box,
  ul.blog-tect-icons,
  ul.footer-box2 {
    padding-left: 0;
    list-style: none;
  }
  .footer-section1 ul.text-box li {
    font-size: 14px;
    display: flow-root;
   
  }
  .footer-section1 ul.text-box li i{
    color: #f97242;
  }
  .footer-section1 li span {
    width: 88%;
    float: right;
  }
  .pad-top15 {
    padding-top: 15px;
  }
  a {
    cursor: pointer;
    color: inherit;
    transition: all 0.45s ease-in-out;
  }
  a,
  a:focus,
  a:hover,
  a:visited {
    text-decoration: none;
  }
  a,
  a:hover {
    opacity: 1;
  }
  .footer-section1 ul li {
    margin-bottom: 5px;
  }
  .icons-section ul li a {
    margin-left: 6px;
  }
  .footer-bottom-bar {
    width: 100%;
    float: left;
    position: relative;
    background-color: #000;
  }
  .footer-bottom-bar p{
      margin: 0px;
  }
  .pad-top-bottom25 {
    padding: 25px 0px;
    text-align: center;
    border-top: 1px solid #fff;
  }
  .footer-text a{
text-decoration: none;
color: #f97242;
  }
  .footer-text a:hover{
      color: #ff6f3b;
      text-decoration: none;
  }
  .newsletter_mail{
      display: flex;
      width: 100%;
      padding-bottom: 7px;

  }
  .newsletter_mail input{
    border: none;
    padding: 10px 10px;
    border-radius: 4px 0px 0px 4px;
    font-size: 16px;
    outline: none;
  } 
  .newsletter_mail button{
    border: none;
    padding: 10px 15px;
    cursor: pointer;
    border-radius: 0px 4px 4px 0px;
    font-size: 16px;
    background-color: #f97242;
   color: #fff;  
}
.footer_social_icon{
    display: flex;
    width: 100%;
    gap: 0px 10px;
}
.footer_social_icon a{
    color: #fff;
    background: #f97242;
    padding: 4px 10px;
    font-size: 14px;
}
/* footer end */

/*Tablet*/
@media (min-width: 768px) and (max-width: 1024px) {

    .header_bar .nav_bar{
            display: block;
        }
        .header_bar{
            flex-direction: column;   
        }
        .header_bar .nav_bar {
            margin-bottom: 20px;
        }
        .header_bar .logo{
            margin-bottom: 10px;
        }
        .header_bar .call_us {
            padding-bottom: 10px;
        }
        .product_section .product_grid {
            grid-template-columns: 1fr 1fr 1fr;
            grid-template-areas: ". . .";
        }
        .special_product_section{
            grid-template-columns: 1fr; 
            grid-template-areas: 
              "."; 
              padding: 0px 40px;
        }
        .special_product_figure {
            text-align: center;
        }
        .footer_data {
            grid-template-columns: 1fr 1fr;
            grid-template-areas: ". .";
        }
    }

/*mobile rotation*/
@media (max-width: 767px) {
       .header_bar .nav_btn{
        display: block;
        }
       .header_bar .nav_bar{
            display: none;
        }
        .header_bar .call_us {
            display: none;
        }
        .banner .slider_2_text span {
            display: none;
        }
        .banner .slider_2_text h2 {
            font-size: 28px;
        }
        .features_section .features_grid {
            grid-template-columns: 1fr 1fr;
            grid-template-areas: ". .";
        }
        .product_section .product_grid {
            grid-template-columns: 1fr 1fr;
            grid-template-areas: ". .";
        }
        .special_product_section{
            grid-template-columns: 1fr; 
            grid-template-areas: 
              "."; 
              padding: 0px 40px;
        }
        .special_product_figure {
            text-align: center;
        }

        .footer_data {
            grid-template-columns: 1fr 1fr;
            grid-template-areas: ". .";
        }

        }

   /*mobile*/ 
    @media (max-width: 540px) {
        
        .responsive_nav_bar .responsive_call_us {
            justify-content: right;
            align-items: right;
        }
        .banner .slider_2_text h2 {
            font-size: 16px;
        }
        .banner .slider_2_text a {
            font-size: 15px;
            width: 110px;
            height: 32px;
        }
        .banner .slider_2_text {
            left: 14% !important;
        }
        .features_section .features_grid {
            grid-template-columns: 1fr;
            grid-template-areas: ".";
        }
        .product_section .product_grid {
            grid-template-columns: 1fr ;
            grid-template-areas: ".";
        }
        .product_card a .figure{
            text-align: center;
        } 
        .product_card a .figure img {
            width: 100%;
        }
        .special_product_section{
            grid-template-columns: 1fr; 
            grid-template-areas: 
              "."; 
        padding: 0px 20px;
        }
        .special_product_figure {
            text-align: center;
        }
        .footer_data {
            grid-template-columns: 1fr;
            grid-template-areas: ".";
        }


    }
    @media (max-width: 470px) { 

        .change_banner_layout {
            grid-template-columns: 1fr;
            grid-template-areas: '.';
        }

    }

    @media (max-width: 425px) { 
        .testim .arrow.left {
            left: 14px;
        }
        .testim .arrow.right {
            right: 14px;
        }
        footer h1 {
            font-size: 18px;
        }
        footer a {
            font-size: 18px;
        }
   
    }
    @media (max-width: 335px) { 
        .banner .slider_2_text h2 {
            font-size: 14px;
        }
      
    }

    @media (max-width: 360px) { 
        .responsive_nav_bar .responsive_call_us {
            justify-content: right;
            align-items: unset !important;
            flex-direction: column;
            text-align: right;
            gap: 20px 0px;
        }
        .responsive_nav_bar .responsive_call_us .account_btn {
            right: 33px;
            top:-8px;
            text-align: left;
        }
    }